CREATELANG(1)

NAME
createlang - define a new PostgreSQL procedural language

SYNOPSIS

createlang [ connection-option... ] langname [ dbname ] createlang [ connection-option... ] --list | -l dbname

DESCRIPTION

createlang is a utility for adding a new programming language to a PostgreSQL database. createlang is just a wrapper around the CREATE LANGUAGE [create_language(7)] command, which see for additional information.

OPTIONS

createlang accepts the following command-line arguments:

langname
    Specifies the name of the procedural programming language to be defined.

[-d] dbname

[--dbname] dbname
    Specifies to which database the language should be added. The default is to use the database with the same name as the current system user.

-e

--echo
    Display SQL commands as they are executed.

-l

--list
    Show a list of already installed languages in the target database.

createlang also accepts the following command-line arguments for connection parameters:

-h host

--host host
    Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

-p port

--port port
    Specifies the TCP port or local Unix domain socket file extension on which the server is listening for connections.

-U username

--username username
    User name to connect as.

-W

--password
    Force password prompt.

ENVIRONMENT

PGDATABASE

PGHOST

PGPORT

PGUSER
    Default connection parameters

DIAGNOSTICS

Most error messages are self-explanatory. If not, run createlang with the --echo option and see under the respective SQL command for details.

NOTES

Use droplang(1) to remove a language.

EXAMPLES

To install the language pltcl into the database template1:

$ createlang pltcl template1

Note that installing the language into template1 will cause it to be automatically installed into subsequently-created databases as well.

SEE ALSO
droplang(1), CREATE LANGUAGE [create_language(7)], Environment Variables (the documentation)